Package org.apache.commons.configuration2.tree

## Class DefaultExpressionEngineSymbols.Builder

- java.lang.Object
- - org.apache.commons.configuration2.tree.DefaultExpressionEngineSymbols.Builder

- Enclosing class:
    DefaultExpressionEngineSymbols

      public static class DefaultExpressionEngineSymbols.Builder
      extends Object

  A builder class for creating instances of `DefaultExpressionEngineSymbols`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` | Creates a new, uninitialized instance of `Builder`.
    `Builder​(DefaultExpressionEngineSymbols c)` | Creates a new instance of `Builder` whose properties are initialized from the passed in `DefaultExpressionEngineSymbols` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DefaultExpressionEngineSymbols` | `create()` | Creates the `DefaultExpressionEngineSymbols` instance based on the properties set for this builder object.
    `DefaultExpressionEngineSymbols.Builder` | `setAttributeEnd​(String ae)` | Sets the string representing the end marker of an attribute in a property key.
    `DefaultExpressionEngineSymbols.Builder` | `setAttributeStart​(String as)` | Sets the string representing the start marker of an attribute in a property key.
    `DefaultExpressionEngineSymbols.Builder` | `setEscapedDelimiter​(String ed)` | Sets the string representing an escaped property delimiter.
    `DefaultExpressionEngineSymbols.Builder` | `setIndexEnd​(String ie)` | Sets the string representing the end of an index in a property key.
    `DefaultExpressionEngineSymbols.Builder` | `setIndexStart​(String is)` | Sets the string representing the start of an index in a property key.
    `DefaultExpressionEngineSymbols.Builder` | `setPropertyDelimiter​(String d)` | Sets the string representing a delimiter for properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Creates a new, uninitialized instance of `Builder`. All symbols are undefined.

    - #### Builder

          public Builder​(DefaultExpressionEngineSymbols c)

      Creates a new instance of `Builder` whose properties are initialized from the passed in `DefaultExpressionEngineSymbols` object. This is useful if symbols are to be created which are similar to the passed in instance.
      Parameters:
        `c` - the `DefaultExpressionEngineSymbols` object serving as starting point for this builder

  - ### Method Detail

    - #### setPropertyDelimiter

          public DefaultExpressionEngineSymbols.Builder setPropertyDelimiter​(String d)

      Sets the string representing a delimiter for properties.
      Parameters:
        `d` - the property delimiter
      Returns:
        a reference to this object for method chaining

    - #### setEscapedDelimiter

          public DefaultExpressionEngineSymbols.Builder setEscapedDelimiter​(String ed)

      Sets the string representing an escaped property delimiter. With this string a delimiter that belongs to the key of a property can be escaped. If for instance "." is used as property delimiter, you can set the escaped delimiter to "\." and can then escape the delimiter with a back slash.
      Parameters:
        `ed` - the escaped property delimiter
      Returns:
        a reference to this object for method chaining

    - #### setIndexStart

          public DefaultExpressionEngineSymbols.Builder setIndexStart​(String is)

      Sets the string representing the start of an index in a property key. Index start and end marker are used together to detect indices in a property key.
      Parameters:
        `is` - the index start
      Returns:
        a reference to this object for method chaining

    - #### setIndexEnd

          public DefaultExpressionEngineSymbols.Builder setIndexEnd​(String ie)

      Sets the string representing the end of an index in a property key.
      Parameters:
        `ie` - the index end
      Returns:
        a reference to this object for method chaining

    - #### setAttributeStart

          public DefaultExpressionEngineSymbols.Builder setAttributeStart​(String as)

      Sets the string representing the start marker of an attribute in a property key. Attribute start and end marker are used together to detect attributes in a property key.
      Parameters:
        `as` - the attribute start marker
      Returns:
        a reference to this object for method chaining

    - #### setAttributeEnd

          public DefaultExpressionEngineSymbols.Builder setAttributeEnd​(String ae)

      Sets the string representing the end marker of an attribute in a property key.
      Parameters:
        `ae` - the attribute end marker
      Returns:
        a reference to this object for method chaining

    - #### create

          public DefaultExpressionEngineSymbols create()

      Creates the `DefaultExpressionEngineSymbols` instance based on the properties set for this builder object. This method does not change the state of this builder. So it is possible to change properties and create another `DefaultExpressionEngineSymbols` instance.
      Returns:
        the newly created `DefaultExpressionEngineSymbols` instance